diff -c psqlodbc.orig/connection.c psqlodbc/connection.c
*** psqlodbc.orig/connection.c	2005-12-02 14:24:39.000000000 +0100
--- psqlodbc/connection.c	2005-12-03 10:24:15.838110088 +0100
***************
*** 1626,1631 ****
--- 1626,1637 ----
  int
  CC_send_cancel_request(const ConnectionClass *conn)
  {
+ #if defined PGSQL_VERSION && PGSQL_VERSION < 80
+ 	if (PQrequestCancel(conn->pgconn))
+ 		return TRUE;
+ 	else
+ 		return FALSE;
+ #else
  	int			ret = 0,errbufsize=256;
  	char		errbuf[256];
  	PGcancel	*cancel;
***************
*** 1645,1651 ****
  		PQfreeCancel(cancel);
  		return FALSE;
  	}
! 	return ret;
  }
  
  
--- 1651,1657 ----
  		PQfreeCancel(cancel);
  		return FALSE;
  	}
! #endif /* PGSQL_74 */
  }
  
  
